Download it now!
Bug 97055 - Interactive hyphenation claims it's already active in another document after closing it once
Summary: Interactive hyphenation claims it's already active in another document after ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Linguistic (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: x86-64 (AMD64) All
: medium minor
Assignee: Caolán McNamara
URL:
Whiteboard: target:5.3.0 target:5.2.2
Keywords: regression
Depends on:
Blocks:
 
Reported: 2016-01-12 02:16 UTC by FutureProject
Modified: 2016-09-02 16:31 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Language test file (16.53 KB, application/vnd.oasis.opendocument.text)
2016-01-12 02:16 UTC, FutureProject
Details

Note You need to log in before you can comment on or make changes to this bug.
Description FutureProject 2016-01-12 02:16:08 UTC
Created attachment 121867 [details]
Language test file

Version: 5.1.0.1 (x64)
Build ID: bcace328aabc4c8c10b56daa87da0a2ee6579b5a
Threads 4; Ver: Windows 6.19; Render: GL; 
Locale: de-DE (de_DE)

1. Opened "Tools -> Language -> Hyphenation"
2. Pressed Hyphenate once
3. Pressed Skip once
4. Closed the interactive hyphenation via X button in the top right corner, not the Close button.
5. Opening the interactive hyphenation now aborts saying "The interactive hyphenation is already active in a different document"

Can reproduce reliably. Problem does not occur when hyphenation-window is closed with the Close button.
Comment 1 FutureProject 2016-01-17 00:13:59 UTC
Additional info: steps 2 and 3 are not neccessary - as long as the hyphenation tool is closed with the X it can't be opened again.

I also did some regression testing and found that 3.5.0rc3 (Build ID: 7e68ba2-a744ebf-1f241b7-c506db1-7d53735) works as expected, but 4.2.0.1 (Build ID: 7bf567613a536ded11709b952950c9e8f7181a4a) doesn't. It was introduced somewhere between those two, with 4.2.0.1 the latest. At least that narrows it a bit down.
Comment 2 Buovjaga 2016-01-25 08:57:00 UTC
Repro.

Win 7
Version: 5.1.0.2 (x64)
Build ID: ecd3574d51754b043f865cf5bafee286d24db7cc
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
Locale: fi-FI (fi_FI)
Comment 3 Caolán McNamara 2016-08-30 15:47:04 UTC
I can reproduce under Linux, so changing to all
Comment 4 Commit Notification 2016-08-30 18:28:10 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c7fd6532682a12d8981e6b19b4fbb75d6d3c412c

Resolves: tdf#97055 hyphenation claims its already active after closing

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2016-09-02 16:31:17 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b9375c082822e4a1030c9dfca8cb0c959b78633d&h=libreoffice-5-2

Resolves: tdf#97055 hyphenation claims its already active after closing

It will be available in 5.2.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.